%define upstream_name    ARGV-Struct
%define upstream_version 0.03

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Parse complex data structures passed in ARGV
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/ARGV/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Moose)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
Have you ever felt that you need something different than Getopt?

Are you tired of shoehorning Getopt style arguments into your commandline
scripts?

Are you trying to express complex datastructures via command line?

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc README Changes LICENSE META.yml
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/argvstruct



%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.30.0-5.mga10
+ Revision: 2202599
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.30.0-4.mga9
+ Revision: 1808121
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.30.0-3.mga8
+ Revision: 1503372
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.30.0-2.mga7
+ Revision: 1281534
- Mageia 7 Mass Rebuild

* Tue Nov 21 2017 kharec <kharec> 0.30.0-1.mga7
+ Revision: 1178018
- imported package perl-ARGV-Struct


* Tue Nov 21 2017 cpan2dist 0.03-1mga
- initial mageia release, generated with cpan2dist
